# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# C:\b\abs_36n0b3l99j\clone\recipe, last modified Thu Nov  3 19:19:59 2022
# ------------------------------------------------

package:
  name: libgit2
  version: 1.5.0
source:
  sha256: 8de872a0f201b33d9522b817c92e14edb4efad18dae95cf156cf240b2efff93e
  url: https://github.com/libgit2/libgit2/archive/v1.5.0.tar.gz
build:
  number: '0'
  run_exports:
    - libgit2 >=1.5.0,<1.6.0a0
  string: h23ce68f_0
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.10.11 haa95532_0
    - cmake 3.22.1 h9ad04ae_0
    - libffi 3.4.2 hd77b12b_4
    - libuv 1.40.0 he774522_0
    - lz4-c 1.9.3 h2bbff1b_1
    - ninja 1.10.2 haa95532_5
    - ninja-base 1.10.2 h6d14046_5
    - openssl 1.1.1q h2bbff1b_0
    - python 3.10.6 hbb2ffb3_1
    - sqlite 3.39.3 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022f h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - xz 5.2.6 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.2 h19a0ad4_0
  host:
    - ca-certificates 2022.10.11 haa95532_0
    - curl 7.85.0 h2bbff1b_0
    - libcurl 7.85.0 h86230a5_0
    - libssh2 1.10.0 hcd4344a_0
    - msinttypes r26 2
    - openssl 1.1.1q h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - zlib 1.2.13 h8cc25b3_0
  run:
    - curl
    - libssh2 >=1.10.0,<2.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - if not exist %LIBRARY_INC%\\git2.h exit 1
    - if not exist %LIBRARY_INC%\\git2/annotated_commit.h exit 1
    - if not exist %LIBRARY_INC%\\git2/attr.h exit 1
    - if not exist %LIBRARY_INC%\\git2/blame.h exit 1
    - if not exist %LIBRARY_INC%\\git2/blob.h exit 1
    - if not exist %LIBRARY_INC%\\git2/branch.h exit 1
    - if not exist %LIBRARY_INC%\\git2/buffer.h exit 1
    - if not exist %LIBRARY_INC%\\git2/checkout.h exit 1
    - if not exist %LIBRARY_INC%\\git2/apply.h exit 1
    - if not exist %LIBRARY_INC%\\git2/cert.h exit 1
    - if not exist %LIBRARY_INC%\\git2/cherrypick.h exit 1
    - if not exist %LIBRARY_INC%\\git2/clone.h exit 1
    - if not exist %LIBRARY_INC%\\git2/commit.h exit 1
    - if not exist %LIBRARY_INC%\\git2/common.h exit 1
    - if not exist %LIBRARY_INC%\\git2/config.h exit 1
    - if not exist %LIBRARY_INC%\\git2/cred_helpers.h exit 1
    - if not exist %LIBRARY_INC%\\git2/credential.h exit 1
    - if not exist %LIBRARY_INC%\\git2/credential_helpers.h exit 1
    - if not exist %LIBRARY_INC%\\git2/deprecated.h exit 1
    - if not exist %LIBRARY_INC%\\git2/describe.h exit 1
    - if not exist %LIBRARY_INC%\\git2/diff.h exit 1
    - if not exist %LIBRARY_INC%\\git2/errors.h exit 1
    - if not exist %LIBRARY_INC%\\git2/filter.h exit 1
    - if not exist %LIBRARY_INC%\\git2/global.h exit 1
    - if not exist %LIBRARY_INC%\\git2/graph.h exit 1
    - if not exist %LIBRARY_INC%\\git2/ignore.h exit 1
    - if not exist %LIBRARY_INC%\\git2/index.h exit 1
    - if not exist %LIBRARY_INC%\\git2/indexer.h exit 1
    - if not exist %LIBRARY_INC%\\git2/mailmap.h exit 1
    - if not exist %LIBRARY_INC%\\git2/merge.h exit 1
    - if not exist %LIBRARY_INC%\\git2/message.h exit 1
    - if not exist %LIBRARY_INC%\\git2/net.h exit 1
    - if not exist %LIBRARY_INC%\\git2/notes.h exit 1
    - if not exist %LIBRARY_INC%\\git2/object.h exit 1
    - if not exist %LIBRARY_INC%\\git2/odb.h exit 1
    - if not exist %LIBRARY_INC%\\git2/odb_backend.h exit 1
    - if not exist %LIBRARY_INC%\\git2/oid.h exit 1
    - if not exist %LIBRARY_INC%\\git2/oidarray.h exit 1
    - if not exist %LIBRARY_INC%\\git2/pack.h exit 1
    - if not exist %LIBRARY_INC%\\git2/patch.h exit 1
    - if not exist %LIBRARY_INC%\\git2/pathspec.h exit 1
    - if not exist %LIBRARY_INC%\\git2/proxy.h exit 1
    - if not exist %LIBRARY_INC%\\git2/rebase.h exit 1
    - if not exist %LIBRARY_INC%\\git2/refdb.h exit 1
    - if not exist %LIBRARY_INC%\\git2/reflog.h exit 1
    - if not exist %LIBRARY_INC%\\git2/refs.h exit 1
    - if not exist %LIBRARY_INC%\\git2/refspec.h exit 1
    - if not exist %LIBRARY_INC%\\git2/remote.h exit 1
    - if not exist %LIBRARY_INC%\\git2/repository.h exit 1
    - if not exist %LIBRARY_INC%\\git2/reset.h exit 1
    - if not exist %LIBRARY_INC%\\git2/revert.h exit 1
    - if not exist %LIBRARY_INC%\\git2/revparse.h exit 1
    - if not exist %LIBRARY_INC%\\git2/revwalk.h exit 1
    - if not exist %LIBRARY_INC%\\git2/signature.h exit 1
    - if not exist %LIBRARY_INC%\\git2/stash.h exit 1
    - if not exist %LIBRARY_INC%\\git2/status.h exit 1
    - if not exist %LIBRARY_INC%\\git2/stdint.h exit 1
    - if not exist %LIBRARY_INC%\\git2/strarray.h exit 1
    - if not exist %LIBRARY_INC%\\git2/submodule.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/alloc.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/commit.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/config.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/cred.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/credential.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/diff.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/filter.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/hashsig.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/index.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/mempack.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/merge.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/odb_backend.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/openssl.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/path.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/refdb_backend.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/reflog.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/refs.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/repository.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/stream.h exit 1
    - if not exist %LIBRARY_INC%\\git2/sys/transport.h exit 1
    - if not exist %LIBRARY_INC%\\git2/tag.h exit 1
    - if not exist %LIBRARY_INC%\\git2/trace.h exit 1
    - if not exist %LIBRARY_INC%\\git2/transaction.h exit 1
    - if not exist %LIBRARY_INC%\\git2/transport.h exit 1
    - if not exist %LIBRARY_INC%\\git2/tree.h exit 1
    - if not exist %LIBRARY_INC%\\git2/types.h exit 1
    - if not exist %LIBRARY_INC%\\git2/version.h exit 1
    - if not exist %LIBRARY_INC%\\git2/worktree.h exit 1
    - if not exist %LIBRARY_BIN%\git2.dll exit 1
    - if not exist %LIBRARY_LIB%\git2.lib exit 1
about:
  description: 'libgit2 is a portable, pure C implementation of the Git core methods

    provided as a re-entrant linkable library with a solid API, allowing

    you to write native speed custom Git applications in any language

    which supports C bindings.

    '
  dev_url: https://github.com/libgit2/libgit2
  doc_source_url: https://github.com/libgit2/libgit2/tree/v1.5.0/docs
  doc_url: https://libgit2.org/docs/
  home: https://libgit2.org/
  license: GPL-2.0-only WITH GCC-exception-2.0
  license_family: GPL2
  license_file: COPYING
  license_url: https://github.com/libgit2/libgit2/blob/v1.5.0/COPYING
  summary: libgit2 is a portable, pure C implementation of the Git core methods provided
    as a re-entrant linkable library with a solid API, allowing you to write native
    speed custom Git applications in any language which supports C bindings.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 365efc58-bd43-49be-ad7a-d0ced05a67fb
  recipe-maintainers:
    - shadowwalkersb
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/libgit2-feedstock.git
  sha: 5d2f43738081360fcee71c8056a41e196e3caac0
